PluginManager (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.PluginManager class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class PluginManager

    java.lang.Object
      org.hyperic.hq.product.PluginManager

Direct Known Subclasses:
  AutoinventoryPluginManager, ControlPluginManager, LiveDataPluginManager, MeasurementPluginManager, ProductPluginManager, RtPluginManager, TrackEventPluginManager

    public abstract class PluginManager

extends java.lang.Object

This class implements common functionality of the GenericPluginManager interface: - maintain a registry of plugins - shutdown() propagated to all plugins

Field Summary
`protected org.apache.commons.logging.Log` | `log`
`protected java.util.Map` | `plugins`

Constructor Summary
`PluginManager()`
`PluginManager(java.util.Properties props)`

Method Summary
`protected java.lang.String` | `classNotFoundMessage(java.lang.NoClassDefFoundError e)`
`GenericPlugin` | `createPlugin(java.lang.String name, GenericPlugin pluginType)`
`GenericPlugin` | `createPlugin(java.lang.String name, GenericPlugin pluginType, ConfigResponse config)`
`GenericPlugin` | `createPlugin(java.lang.String name, java.lang.String type, ConfigResponse config)`
`ConfigSchema` | `getConfigSchema(java.lang.String plugin, TypeInfo info, ConfigResponse config)`
`abstract java.lang.String` | `getName()`
`PluginManager` | `getParent()`
`GenericPlugin` | `getPlatformPlugin(java.lang.String name)`
`GenericPlugin` | `getPlatformPlugin(java.lang.String os, java.lang.String name)`
`java.util.Map` | `getPlatformPlugins()`
`java.util.Map` | `getPlatformPlugins(java.lang.String os)`
`GenericPlugin` | `getPlugin(java.lang.String name)`
`PluginInfo` | `getPluginInfo(java.lang.String name)`
`java.util.Map` | `getPlugins()`
`java.util.List` | `getPlugins(PluginInfo info)`
`java.util.Properties` | `getProperties()`
`java.lang.String` | `getProperty(java.lang.String key)`
`java.lang.String` | `getProperty(java.lang.String key, java.lang.String defVal)`
`void` | `init(PluginManager parent)`
`boolean` | `isPropertyEnabled(java.lang.String key)`
`boolean` | `isPropertyEnabled(java.lang.String key, boolean defVal)`
`boolean` | `isRegistered(java.lang.String name)`
`protected void` | `mergeConfigSchema(PluginManager pm, ConfigSchema schema, TypeInfo info, ConfigResponse config)`
`void` | `registerPlugin(GenericPlugin plugin)`
`void` | `registerPlugin(GenericPlugin plugin, ConfigResponse response)`
`void` | `registerPlugin(java.lang.String name, GenericPlugin plugin)`
`void` | `removePlugin(java.lang.String name)`
`void` | `setPluginInfo(java.lang.String name, PluginInfo info)`
`void` | `shutdown()`
`void` | `updatePlugin(GenericPlugin plugin, ConfigResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### plugins

    protected java.util.Map plugins

### log

    protected org.apache.commons.logging.Log log

Constructor Detail

### PluginManager

    public PluginManager()

### PluginManager

    public PluginManager(java.util.Properties props)

Method Detail

### getName

    public abstract java.lang.String getName()

### init

    public void init(PluginManager parent)
              throws PluginException

  Throws:
    `PluginException`

### shutdown

    public void shutdown()
                  throws PluginException

  Throws:
    `PluginException`

### getProperties

    public java.util.Properties getProperties()

### getProperty

    public java.lang.String getProperty(java.lang.String key,
                                        java.lang.String defVal)

### getProperty

    public java.lang.String getProperty(java.lang.String key)

### isPropertyEnabled

    public boolean isPropertyEnabled(java.lang.String key,
                                     boolean defVal)

### isPropertyEnabled

    public boolean isPropertyEnabled(java.lang.String key)

### getParent

    public PluginManager getParent()

### mergeConfigSchema

    protected void mergeConfigSchema(PluginManager pm,
                                     ConfigSchema schema,
                                     TypeInfo info,
                                     ConfigResponse config)

### getConfigSchema

    public ConfigSchema getConfigSchema(java.lang.String plugin,
                                        TypeInfo info,
                                        ConfigResponse config)
                                 throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### getPlugin

    public GenericPlugin getPlugin(java.lang.String name)
                            throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### getPlatformPlugin

    public GenericPlugin getPlatformPlugin(java.lang.String name)
                                    throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### getPlatformPlugin

    public GenericPlugin getPlatformPlugin(java.lang.String os,
                                           java.lang.String name)
                                    throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### removePlugin

    public void removePlugin(java.lang.String name)
                      throws PluginException,
                             PluginNotFoundException

  Throws:
    `PluginException`
    `PluginNotFoundException`

### isRegistered

    public boolean isRegistered(java.lang.String name)

### registerPlugin

    public void registerPlugin(GenericPlugin plugin)
                        throws PluginException,
                               PluginExistsException

  Throws:
    `PluginException`
    `PluginExistsException`

### registerPlugin

    public void registerPlugin(java.lang.String name,
                               GenericPlugin plugin)
                        throws PluginException,
                               PluginExistsException

  Throws:
    `PluginException`
    `PluginExistsException`

### registerPlugin

    public void registerPlugin(GenericPlugin plugin,
                               ConfigResponse response)
                        throws PluginException,
                               PluginExistsException

  Throws:
    `PluginException`
    `PluginExistsException`

### updatePlugin

    public void updatePlugin(GenericPlugin plugin,
                             ConfigResponse response)
                      throws PluginException,
                             PluginNotFoundException

  Throws:
    `PluginException`
    `PluginNotFoundException`

### createPlugin

    public GenericPlugin createPlugin(java.lang.String name,
                                      java.lang.String type,
                                      ConfigResponse config)
                               throws PluginException,
                                      PluginExistsException,
                                      PluginNotFoundException

  Throws:
    `PluginException`
    `PluginExistsException`
    `PluginNotFoundException`

### createPlugin

    public GenericPlugin createPlugin(java.lang.String name,
                                      GenericPlugin pluginType)
                               throws PluginException,
                                      PluginExistsException

  Throws:
    `PluginException`
    `PluginExistsException`

### createPlugin

    public GenericPlugin createPlugin(java.lang.String name,
                                      GenericPlugin pluginType,
                                      ConfigResponse config)
                               throws PluginException,
                                      PluginExistsException

  Throws:
    `PluginException`
    `PluginExistsException`

### getPlugins

    public java.util.Map getPlugins()

### getPlatformPlugins

    public java.util.Map getPlatformPlugins(java.lang.String os)

  Returns:
    Map of plugins registered for the given platform.

### getPlatformPlugins

    public java.util.Map getPlatformPlugins()

  Returns:
    Map of plugins registered for the current platform.

### getPlugins

    public java.util.List getPlugins(PluginInfo info)

### setPluginInfo

    public void setPluginInfo(java.lang.String name,
                              PluginInfo info)

### getPluginInfo

    public PluginInfo getPluginInfo(java.lang.String name)

### classNotFoundMessage

    protected java.lang.String classNotFoundMessage(java.lang.NoClassDefFoundError e)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.